## org.codehaus.groovy.tools.shell.util
Class ANSI.RenderWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.codehaus.groovy.tools.shell.util.ANSI.RenderWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

Enclosing class:
  ANSI

    public static class ANSI.RenderWriter

extends PrintWriter

Field Summary

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`ANSI.RenderWriter(OutputStream out)`
`ANSI.RenderWriter(OutputStream out, boolean autoFlush)`
`ANSI.RenderWriter(Writer out)`
`ANSI.RenderWriter(Writer out, boolean autoFlush)`

Method Summary
`void` `write(String s)`

Methods inherited from class java.io.PrintWriter
`append, append, append, append, append, append, append, append, append, checkError, clearError, close, flush, format, format, print, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, println, println, setError, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ANSI.RenderWriter

    public ANSI.RenderWriter(OutputStream out)

### ANSI.RenderWriter

    public ANSI.RenderWriter(OutputStream out,
                             boolean autoFlush)

### ANSI.RenderWriter

    public ANSI.RenderWriter(Writer out)

### ANSI.RenderWriter

    public ANSI.RenderWriter(Writer out,
                             boolean autoFlush)

Method Detail

### write

    public void write(String s)

  Overrides:
    `write` in class `PrintWriter`

Copyright © 2003-2008 The Codehaus. All rights reserved.